{
  "custom": {},
  "params": {
    "eqPath": "Enterprise\\El Dorado Hills"
  },
  "propConfig": {
    "params.eqPath": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 446,
      "width": 500
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "EmbeddedView"
        },
        "position": {
          "basis": "239px"
        },
        "propConfig": {
          "props.params.percent": {
            "binding": {
              "config": {
                "expression": "round(tag(concat({session.custom.defaultTagProvider},replace({view.params.eqPath},\u0027\\\\\u0027,\u0027/\u0027),\u0027/OEE 24 Hours[0,3]\u0027))*100, 0)"
              },
              "overlayOptOut": true,
              "type": "expr"
            }
          }
        },
        "props": {
          "params": {
            "label": "OEE"
          },
          "path": "Page/Embedded/Dial"
        },
        "type": "ia.display.view"
      },
      {
        "children": [
          {
            "meta": {
              "name": "EmbeddedView"
            },
            "position": {
              "basis": "179px"
            },
            "propConfig": {
              "props.params.percent": {
                "binding": {
                  "config": {
                    "expression": "round(tag(concat({session.custom.defaultTagProvider},replace({view.params.eqPath},\u0027\\\\\u0027,\u0027/\u0027),\u0027/OEE 24 Hours[0,2]\u0027))*100, 0)"
                  },
                  "overlayOptOut": true,
                  "type": "expr"
                }
              }
            },
            "props": {
              "params": {
                "label": "Availability"
              },
              "path": "Page/Embedded/Dial"
            },
            "type": "ia.display.view"
          },
          {
            "meta": {
              "name": "EmbeddedView_0"
            },
            "position": {
              "basis": "179px"
            },
            "propConfig": {
              "props.params.percent": {
                "binding": {
                  "config": {
                    "expression": "round(tag(concat({session.custom.defaultTagProvider},replace({view.params.eqPath},\u0027\\\\\u0027,\u0027/\u0027),\u0027/OEE 24 Hours[0,1]\u0027))*100, 0)"
                  },
                  "overlayOptOut": true,
                  "type": "expr"
                }
              }
            },
            "props": {
              "params": {
                "label": "Performance"
              },
              "path": "Page/Embedded/Dial"
            },
            "type": "ia.display.view"
          },
          {
            "meta": {
              "name": "EmbeddedView_1"
            },
            "position": {
              "basis": "179px"
            },
            "propConfig": {
              "props.params.percent": {
                "binding": {
                  "config": {
                    "expression": "round(tag(concat({session.custom.defaultTagProvider},replace({view.params.eqPath},\u0027\\\\\u0027,\u0027/\u0027),\u0027/OEE 24 Hours[0,0]\u0027))*100, 0)"
                  },
                  "overlayOptOut": true,
                  "type": "expr"
                }
              }
            },
            "props": {
              "params": {
                "label": "Quality"
              },
              "path": "Page/Embedded/Dial"
            },
            "type": "ia.display.view"
          }
        ],
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "basis": "203px"
        },
        "props": {
          "justify": "center"
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "alignItems": "center",
      "direction": "column",
      "justify": "center",
      "style": {
        "classes": "Page/WidgetBody",
        "overflow": "hidden"
      }
    },
    "scripts": {
      "customMethods": [],
      "extensionFunctions": null,
      "messageHandlers": [
        {
          "messageType": "updateEqPath",
          "pageScope": true,
          "script": "\t# implement your handler here\n\tself.view.params.eqPath \u003d payload[\u0027eqPath\u0027]",
          "sessionScope": false,
          "viewScope": false
        }
      ]
    },
    "type": "ia.container.flex"
  }
}